flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tzu-Li (Gordon) Tai" <tzuli...@apache.org>
Subject Re: Elasticsearch 6.3.x connector
Date Wed, 18 Jul 2018 09:42:26 GMT
Hi Miki,

The latest stable version of the Elasticsearch connector, as of Flink 1.5.x, is Elasticsearch
5.x.

As for Elasticsearch 6.x, there has been some PRs that has been open for a while and have
already been discussed quite thoroughly [1] [2].

Till and I have talked about merging these for 1.6 (this normally should not occur since we’re
already past the feature freeze for 1.6), and we’ve agreed to try to do that.

Cheers,
Gordon

[1] https://github.com/apache/flink/pull/6043
[2] https://github.com/apache/flink/pull/5374

On 16 July 2018 at 11:25:14 PM, vino yang (yanghua1127@gmail.com) wrote:

Hi miki,

Flink does not provide a connector for ElasticSearch 6 yet. There is this JIRA issue to track
the development progress [1]. Based on the issues's status, it is in progress. 

Flink's documentation about the elasticsearch connector is right, current stable version is
5.x. And the maven repository dependency you provided does not mean flink depends on elasticsearch
6.3.1, which means the elasticsearch's latest version in maven repository.

Thanks. 
vino.

[1] https://issues.apache.org/jira/browse/FLINK-8101

2018-07-16 19:05 GMT+08:00 miki haiat <miko5054@gmail.com>:

HI ,

I just wondered what is to status of  the 6.3.x  elastic connector.
flink-connector-elasticsearch-base_2.11  has elastic 6.3.1 dependencies .

Documentation mention 5.3 as the stable version  elasticsearch.html  

What is the latest stable version of the elasitc connector .


Miki




Mime
View raw message